com.aliyun.svideosdk.mixrecorder

## Class AliyunMixStream.Builder

- java.lang.Object
- - com.aliyun.svideosdk.mixrecorder.AliyunMixStream.Builder

- Enclosing class:
    AliyunMixStream

      public static final class AliyunMixStream.Builder
      extends java.lang.Object

  `AliyunMixStream` 构造器

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AliyunMixStream` | `build()` 生成构建一个 `AliyunMixStream` 对象
    `AliyunMixStream.Builder` | `displayMode(VideoDisplayMode displayMode)` 设置流的显示模式
    `AliyunMixStream.Builder` | `filePath(java.lang.String filePath)` 流文件路径文件路径
    `AliyunMixStream.Builder` | `streamEndTime(long streamEndTime, java.util.concurrent.TimeUnit timeUnit)` 设置流结束时间戳
    `AliyunMixStream.Builder` | `streamEndTimeMills(long streamEndTimeMills)` 设置流结束时间戳，单位：毫秒
    `AliyunMixStream.Builder` | `streamStartTime(long streamStartTime, java.util.concurrent.TimeUnit timeUnit)` 设置流的开始时间，比如30s的流，选取其中的5-20s，则startTime设置为5000
    `AliyunMixStream.Builder` | `streamStartTimeMills(long streamStartTimeMills)` 设置流的开始时间，比如30s的流，选取其中的5-20s，则startTime设置为5000毫秒

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### filePath

          public AliyunMixStream.Builder filePath(java.lang.String filePath)

      流文件路径文件路径
      Parameters:
        `filePath` - 文件路径 `mFilePath`
      Returns:
        Builder

    - #### streamStartTimeMills

          public AliyunMixStream.Builder streamStartTimeMills(long streamStartTimeMills)

      设置流的开始时间，比如30s的流，选取其中的5-20s，则startTime设置为5000毫秒
      Parameters:
        `streamStartTimeMills` - 流开始时间戳 `mStreamStartTimeMills`
      Returns:
        Builder

    - #### streamStartTime

          public AliyunMixStream.Builder streamStartTime(long streamStartTime,
                                                         java.util.concurrent.TimeUnit timeUnit)

      设置流的开始时间，比如30s的流，选取其中的5-20s，则startTime设置为5000

      v3.27.0 新增

      Parameters:
        `streamStartTime` - 流开始时间戳 `mStreamStartTime`
        `timeUnit` - 时间单位
      Returns:
        Builder

    - #### streamEndTimeMills

          public AliyunMixStream.Builder streamEndTimeMills(long streamEndTimeMills)

      设置流结束时间戳，单位：毫秒
      Parameters:
        `streamEndTimeMills` - 流结束时间戳 `mStreamEndTimeMills`
      Returns:
        Builder

    - #### streamEndTime

          public AliyunMixStream.Builder streamEndTime(long streamEndTime,
                                                       java.util.concurrent.TimeUnit timeUnit)

      设置流结束时间戳

      v3.27.0 新增

      Parameters:
        `streamEndTime` - 流结束时间戳 `mStreamEndTime`
        `timeUnit` - 时间单位
      Returns:
        Builder

    - #### displayMode

          public AliyunMixStream.Builder displayMode(VideoDisplayMode displayMode)

      设置流的显示模式
      Parameters:
        `displayMode` - 显示模式 `mDisplayMode`
      Returns:
        Builder

    - #### build

          public AliyunMixStream build()

      生成构建一个 `AliyunMixStream` 对象
      Returns:
        `AliyunMixStream` 对象